Subject: Re: bug#55529: [PATCH] Add support for the Tagalog script

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 May 2022 11:23:03 +0300

> From: समीर सिंह Sameer Singh <[email-masked]>
> Date: Fri, 20 May 2022 22:01:28 +0530
> Cc: [email-masked]
> 
>  And if you are talking mainly about a script, then its name is
>  Baybayin, no?  Tagalog is a language, not a script, right?
> 
> Yes, I was confused about that too, the Unicode documents only mention Tagalog and not Baybayin.
> This wikipedia page: https://en.wikipedia.org/wiki/Tagalog_(Unicode_block) says that the Tagalog script is a
> variety of the Baybayin script.
> But still in etc/HELLO, I have used Baybayin as the native name, should I also change its English name?

I think "Tagalog" as the English label in HELLO is okay, but the
script native name in parentheses should be Baybayin.

> I was also thinking about changing the
> input method from Tagalog to Baybayin, should I do that?

No, I think it should be 'tagalog', but the doc string should say that
it supports the Baybayin script.

>  Is this really so important?  The Wikipedia article says that Filipino
>  is a version of Tagalog standardized by the constitution of 1987.
>  Wouldn't it be better to support a modern language used nowadays and
>  not just its older version?
> 
> Doesn't the modern language use the Roman script, instead of Baybayin?
> 
>  Looking at this another way: what will an Emacs user expect to find in
>  Emacs as the supported language for the Philippines?
> 
> Atleast according to me, correct me if I am  a filipino user will use the Roman script for the filipino language,
> while writing Tagalog he may look for Baybayin, which we
> have provided under the Tagalog language environment.

OK, but please revise the doc strings and the comments to make sure we
use "Tagalog" for the language and "Baybayin" for the script (except
where we use the script name inherited from Unicode, which is actually
the name of the Unicode block).  AFAICT, the patch you posted wasn't
consistent in that regard.  And NEWS should mention both the language
and the script names.